# Payment Instruments

This object represents a payment method (e.g. bank account, credit card, debit card, etc.) belonging to a borrower.

 - [GET /people/{personId}/payment-instruments](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_get_all.md)
 - [POST /people/{personId}/payment-instruments](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_create.md): Create a payment instrument. When creating a payment instrument using the Plaid Account option, two flows are supported: 1) Pass only `accessToken` and `accountIds`. This will create a payment instrum
 - [DELETE /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_delete.md)
 - [GET /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_get.md)
 - [PUT /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_update.md)
 - [DELETE /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_delete.md): Retrieve the data vendor link details for this payment instrument.
 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_post.md): Add a data vendor link for this payment instrument. If one is already present, it is replaced.
 - [PUT /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_put.md): Update record keeping details about the account link. This can not be used to set up a new account link.
 - [GET /people/{personId}/payment-instruments/{paymentInstrumentId}/balance](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.balances_get.md): Get stored balance data for the account associated with the payment instrument.
 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/balance](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.balances_post.md): Fetch updated balance data from the account link associated with this payment instrument.
 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/verify](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_verify.md)
